extends Node2D

# トレイルの軌道の最大数
const MAX_TRAIL_POINT = 32

# Line2Dを取得
onready var line = $Line2D

# マウスの軌道
var points = Array()

func _process(delta: float) -> void:
	# マウスの座標を取得
	var pos = get_viewport().get_mouse_position()

	# 軌道のリストに追加
	points.append(pos)

	if points.size() > MAX_TRAIL_POINT:
		# 軌道の最大数を超えたら最後に追加した座標を削除
		points.pop_front()

	# line2dのポイントリストを削除   
	line.clear_points()

	# line2dのポイントリストに追加
	for p in points:
		line.add_point(p)
